import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';

//Porte d'entrée de notre application react


//On va définir nos différents composants qui vont constituer notre page
//Composant
class Bouton extends React.Component {
	render(){
		return (
      		<button className="btn_menu">
        		{this.props.value}
      		</button>
    	);
	}
}

///Composant
class Menu extends React.Component {
  render(){
  	return(
  	   <div>
  		<div className="menu1">
  			<Bouton value="Porte du garage"/>
  		</div>
  		<div className="menu2">
  			<Bouton value="Temp Bureau" />
  		</div>
  		<div className="menu3">
  			<Bouton value="Ventilateur" />
  		</div>
  	   </div>
  	);
  }
}

//Composant
class Page extends React.Component {
	render() {
    	return (
      		<div className="menu_gauche">
        		<Menu />
      		</div>
    );
  }
}

// ==================================================================================================================
//On accroche notre composant Page à l'endroit désiré dans le DOM. (Ici en l'occurence l'élément avec id="root")
ReactDOM.render(
  <Page />,
  document.getElementById('root')
);
